
Redmine - Patch #26391

Drop Darcs SCM support

2017-07-10 04:38 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Darcs support of Redmine is broken with Darcs >= 2.5 (#13472#note-1). Darcs 2.5 was released in 2010. It is very old version, so it

can be said that virtually Redmine does not support Darcs.

I think we can drop Darcs support because we have never seen complaints about broken Darcs support in recent years, probably no

one uses this feature.

Related issues:

Related to Redmine - Defect #13472: darcs / subversion tests fail Closed

Related to Redmine - Feature #29919: darcs support Closed

Associated revisions

Revision 16886 - 2017-07-25 19:32 - Jean-Philippe Lang

Drop Darcs support (#26391).

Patch by Go MAEDA.

Revision 16887 - 2017-07-25 19:39 - Jean-Philippe Lang

Removes darcs test repository (#26391).

History

#1 - 2017-07-10 05:52 - Toshi MARUYAMA

- Related to Defect #13472: darcs / subversion tests fail added

#2 - 2017-07-10 05:52 - Toshi MARUYAMA

- Target version set to 4.0.0

+1

#3 - 2017-07-10 05:56 - Toshi MARUYAMA

Your patch breaks training white space at "This is a loooooooooooooooooooooooooooong comment        " in test/unit/repository_test.rb.

#4 - 2017-07-11 03:57 - Go MAEDA

- File 0001-Drop-Darcs-support.patch added

Toshi MARUYAMA wrote:

Your patch breaks training white space at "This is a loooooooooooooooooooooooooooong comment        " in test/unit/repository_test.rb.

 Thanks for pointing it out. Here is a fixed patch. The new patch keeps all trailing white spaces.

#5 - 2017-07-25 19:33 - Jean-Philippe Lang

- Subject changed from Drop Darcs support to Drop Darcs SCM support

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

2025-05-02 1/2

https://www.redmine.org/issues/13472#note-1


#6 - 2018-11-07 09:10 - Go MAEDA

- Related to Feature #29919: darcs support added

Files

0001-Drop-Darcs-support.patch 47.1 KB 2017-07-10 Go MAEDA

0001-Drop-Darcs-support.patch 44.4 KB 2017-07-11 Go MAEDA
